Summary:	Reset and re-install bootloader
Name:		redo-bootloader
Version:	1.0
Release:	%mkrel 2
URL:		http://www.pclinuxos.com
License:	GPL
Group:		System/Configuration/Other
Source0:	%{name}-%{version}.tar.xz
BuildArch:      noarch
Obsoletes:	redo-mbr
Requires:       drakxtools
Requires:	os-prober

%description
Program to reset the bootloader.
Similar to drakboot except that it will run correctly from a LiveCD environment
so it can be used to recover a system that is failing to boot.

%prep
%setup -q 

%build 

%install
mkdir -p %buildroot%{_sbindir}
install -m 755 %{name}  %buildroot%{_sbindir}

mkdir -p %buildroot%{_bindir}
ln -sf consolehelper %buildroot%{_bindir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
ln -sf mandriva-console-auth %{buildroot}%{_sysconfdir}/pam.d/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name} <<EOF
USER=<user>
PROGRAM=/usr/sbin/%{name}
FALLBACK=false
SESSION=true
EOF

mkdir -p %buildroot%{_datadir}/%{name}/icons
install -m 644 %{name}.png %buildroot%{_datadir}/%{name}/icons

mkdir -p %buildroot%{_datadir}/applications
install -m 644 %{name}.desktop %buildroot%{_datadir}/applications/%{name}.desktop

mkdir -p %buildroot%_defaultdocdir/%{name}
install -m 644 README %buildroot%_defaultdocdir/%{name}


%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/icons/%{name}.png
%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/security/console.apps/%{name}

%changelog
* Thu Feb 04 2021 Tex - 1.0-2pclos2021
- fix menu name to Redo Bootloader

* Thu Apr 30 2020 TerryN <terryn94 at gmail.com> 1.0-1pclos2020
- initial version
